Compatibility Issue with Arducam IMX230 Camera and libcamera

Subject:

Dear Arducam Support Team,

I hope this email finds you well. I am writing to seek assistance with an issue I am facing with my Arducam camera on my Raspberry Pi.

The Camera was bought on April 2022.

I have recently acquired an Arducam IMX230 camera and have been trying to make it work on my Raspberry Pi with the latest libraries. Unfortunately, I have encountered compatibility issues that prevent the camera from functioning properly. I have tried various troubleshooting steps, including reinstalling the software and adjusting compilation settings, but the camera still fails to work as expected.

My setup consists of a Raspberry Pi 4 with the latest software updates installed. I have followed the instructions and guidelines provided in the official Arducam documentation and repository to the best of my ability.

However, it seems that the issue might be related to compatibility problems between the new libraries and my hardware configuration. It’s worth noting that the camera works fine on an older Raspberry Pi 3 with different software configurations.

I am reaching out to seek your guidance and support in resolving this issue. I believe the Arducam MIPI camera is a fantastic product, and I am eager to use it for my projects, but the current compatibility problems are preventing me from doing so.

Could you please assist me in identifying the specific compatibility issues or provide guidance on how to get the camera working with the latest libraries on my Raspberry Pi 4? Any insights or recommendations you can offer would be greatly appreciated.

If necessary, I can provide more detailed information about my hardware and software setup, as well as any error logs or output from the failed attempts to use the camera.

Thank you for your attention to this matter, and I look forward to your assistance in resolving the compatibility issue.

Here are some points:

  1. libcamera output:
    pi@photobooth:~/MIPI_Camera/RPI $ libcamera-still -t 5000 -n -o test.jpg
    [0:14:40.485613365] [904] INFO Camera camera_manager.cpp:297 libcamera v0.0.0+4365-d2ae87e6
    [0:14:40.526428816] [908] WARN CameraSensorProperties camera_sensor_properties.cpp:261 No static properties available for ‘arducam-pivariety’
    [0:14:40.526547426] [908] WARN CameraSensorProperties camera_sensor_properties.cpp:263 Please consider updating the camera sensor properties database
    [0:14:40.551214266] [908] ERROR IPAProxy ipa_proxy.cpp:149 Configuration file ‘arducam-pivariety.json’ not found for IPA module ‘rpi/vc4’
    [0:14:41.023090358] [908] FATAL default controller.cpp:215 assertion “cfg != HardwareConfigMap.end()” failed in getHardwareConfig()

I have also performed the firmware update for the IMX230, which was successfully installed.

I installed a fresh Image with Bullseye and i have the same problems.

  1. output with dmesg:
    pi@photobooth:~ $ dmesg | grep arducam
    [ 0.073058] platform fe801000.csi: Fixed dependency cycle(s) with /soc/i2c0mux/i2c@1/arducam_pivariety@c
    [ 7.697028] arducam-pivariety 10-000c: firmware version: 0x10001
    [ 8.113750] arducam-pivariety 10-000c: Consider updating driver arducam-pivariety to match on endpoints

Please help me, i dont know what to do anymore :frowning:

Best regards,
Markus

@micr0driv3

Sorry for the inconvinence we brought.
We just update the libcamera installation script, please try the commands below again to install libcamera again.

./install_pivariety_pkgs.sh -l
./install_pivariety_pkgs.sh -p libcamera0
./install_pivariety_pkgs.sh -p libcamera_apps

Looking forwards to your feedback.